<script>
import {Link} from "@inertiajs/vue3";
import {toast} from "vue3-toastify";

export default {
    name: "SideLink",
    components: {Link},
    props: {
        routeName: {
            type: String,
            required: true
        },
        icon: {
            type: String,
            default: null
        },
        query: {
            type: Array,
            required: false,
            default: []
        }
    }
}
</script>

<template>
    <li class="nav-item">
        <Link :href="route(routeName,query)" class="nav-link text-xs py-0" :class="route().current(routeName,query)?'active':''">
            <i v-if="icon" class="nav-icon text-sm" :class="icon"></i>
            <p><slot /></p>
        </Link>
    </li>
</template>

<style scoped>

</style>
